Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.cql3
Class PropertyDefinitions

    java.lang.Object
      org.apache.cassandra.cql3.PropertyDefinitions

Direct Known Subclasses:
  CFPropDefs, KSPropDefs

    public class PropertyDefinitions

extends java.lang.Object

Field Summary
`protected static org.slf4j.Logger` | `logger`
`protected java.util.Map<java.lang.String,java.lang.String>` | `properties`

Constructor Summary
`PropertyDefinitions()`

Method Summary
`void` | `addProperty(java.lang.String name, java.lang.String value)`
`java.lang.Boolean` | `getBoolean(java.lang.String key, java.lang.Boolean defaultValue)`
`java.lang.Double` | `getDouble(java.lang.String key, java.lang.Double defaultValue)`
`java.lang.Integer` | `getInt(java.lang.String key, java.lang.Integer defaultValue)`
`protected java.lang.String` | `getSimple(java.lang.String name)`
`java.lang.String` | `getString(java.lang.String key, java.lang.String defaultValue)`
`java.lang.Boolean` | `hasProperty(java.lang.String name)`
`static java.lang.Integer` | `toInt(java.lang.String key, java.lang.String value, java.lang.Integer defaultValue)`
`void` | `validate(java.util.Set<java.lang.String> keywords, java.util.Set<java.lang.String> obsolete)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final org.slf4j.Logger logger

### properties

    protected final java.util.Map<java.lang.String,java.lang.String> properties

Constructor Detail

### PropertyDefinitions

    public PropertyDefinitions()

Method Detail

### addProperty

    public void addProperty(java.lang.String name,
                            java.lang.String value)
                     throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### validate

    public void validate(java.util.Set<java.lang.String> keywords,
                         java.util.Set<java.lang.String> obsolete)
                  throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### getSimple

    protected java.lang.String getSimple(java.lang.String name)
                                  throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### hasProperty

    public java.lang.Boolean hasProperty(java.lang.String name)

### getString

    public java.lang.String getString(java.lang.String key,
                                      java.lang.String defaultValue)
                               throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### getBoolean

    public java.lang.Boolean getBoolean(java.lang.String key,
                                        java.lang.Boolean defaultValue)
                                 throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### getDouble

    public java.lang.Double getDouble(java.lang.String key,
                                      java.lang.Double defaultValue)
                               throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### getInt

    public java.lang.Integer getInt(java.lang.String key,
                                    java.lang.Integer defaultValue)
                             throws InvalidRequestException

  Throws:
    `InvalidRequestException`

### toInt

    public static java.lang.Integer toInt(java.lang.String key,
                                          java.lang.String value,
                                          java.lang.Integer defaultValue)
                                   throws InvalidRequestException

  Throws:
    `InvalidRequestException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation